const User = require('../models/user')
const router = require('express').Router()
const validator = require('validator');
const bcrypt = require('bcryptjs');
const jwt = require('jsonwebtoken');
const { JWT_KEY } = require('../config');
const handler = async function (req, res) {
    try {
        let { login, password, email, username } = req.body, conditions
        if (username) conditions = { username }
        else if (email) conditions = { email }
        else if (validator.isEmail(login)) conditions = { email: login }
        else conditions = { username: login }
        var users = await User.find(conditions).lean()
        return res.send(users)
    } catch (error) {
        console.log("error on: " + error.message + ' line: ' + error.lineNumber);
        return res.status(500).send('Server side error');
    }
}
router.use(handler)
module.exports = router